List Products
GET
HTTPBearerheader
AuthorizationBearer <token>skip?SkipRange
0 <= valueDefault
0limit?LimitRange
1 <= value <= 250Default
100sort_by?string|nullsort_order?Sort OrderDefault
"desc"q?|Title search: whole title words, the last word may be a prefix
vendor?array<string>|Filter by InternalProduct.vendor (OR within field)
product_type?array<string>|Filter by InternalProduct.product_type (OR within field)
store_ids?array<integer>|Filter to products linked to any of the given stores (OR within field); each row's sales and the revenue sort then count only those stores. Repeated values: ?store_ids=12&store_ids=17
folder_ids?array<>|Filter to products directly assigned to any of the given Product Library folders (OR within field).
source_type?|Filter by source type (e.g. 'shopify', 'aliexpress')
owner_id?|Superuser-only owner filter
Successful Response
application/json- response
data*array<>count*Countcurl -X GET 'https://app.copyhero.app/api/v1/products/'Example Response
{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "owner_id": 0, "title": "string", "handle": "string", "vendor": "string", "product_type": "string", "seo_title": "string", "seo_description": "string", "source_type": "string", "source_url": "string", "import_extras": {}, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "tags": [ "string" ], "images": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "src": "string", "position": 0, "alt_text": "string", "thumbnail_url": "string", "blur_data_url": "string" } ], "store_links": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "store_id": 0, "store_name": "string", "store_url": "string", "store_domain": "string", "push_blueprint_id": 0, "push_blueprint_name": "string", "store_backend_product_id": "string", "store_backend_handle": "string", "sync_state": "string", "last_pushed_at": "2019-08-24T14:15:22Z", "last_pulled_at": "2019-08-24T14:15:22Z", "last_webhook_at": "2019-08-24T14:15:22Z", "remote_deleted_at": "2019-08-24T14:15:22Z", "last_sync_error": "string" } ], "sales": [ { "currency": "AED", "revenue_total": "string", "revenue_7d": "string", "revenue_30d": "string" } ] } ], "count": 0}